A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
iir
ArrayFire Functions | ArrayFire Functions by Category » Signal Processing » Filter

This function implements a Infinite Impulse Filter More...

## Functions
AFAPI array | iir (const array &b, const array &a, const array &x)
| C++ Interface for infinite impulse response filter.
AFAPI af_err | af_iir (af_array *y, const af_array b, const af_array a, const af_array x)
| C Interface for infinite impulse response filter.

## Detailed Description

This function implements a Infinite Impulse Filter

Iinite impulse filters take an input x and a feedforward array b, feedback array a to generate an output y such that:

       \f$\sum_{j = 0}^Q a_j . y[n] = \sum_{i = 0}^P b_i . x[n]\f$

## Function Documentation

## ◆ af_iir()

AFAPI af_err af_iir | ( | af_array * | y,
|  | const af_array | b,
|  | const af_array | a,
|  | const af_array | x )

C Interface for infinite impulse response filter.

Parameters

  [out] | y | is the output signal from the filter
  [in] | b | is the array containing the feedforward coefficients
  [in] | a | is the array containing the feedback coefficients
  [in] | x | is the input signal to the filter

Note
  The feedforward coefficients are currently limited to a length of 512

## ◆ iir()

AFAPI array iir | ( | const array & | b,
|  | const array & | a,
|  | const array & | x )

C++ Interface for infinite impulse response filter.

Parameters

  [in] | b | is the array containing the feedforward coefficients
  [in] | a | is the array containing the feedback coefficients
  [in] | x | is the input signal to the filter

Returns
  the output signal from the filter

Note
  The feedforward coefficients are currently limited to a length of 512